package ru.yandex.webmaster3.viewer.http.download.searchquery;

import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.core.searchquery.QueryIndicator;
import ru.yandex.webmaster3.storage.searchquery.AggregatePeriod;

/**
 * Created by ifilippov5 on 03.03.17.
 */
public class DownloadStatisticIndicatorRequest extends DownloadStatisticRequest {

    private QueryIndicator indicator;
    private AggregatePeriod period = AggregatePeriod.DAY;

    public QueryIndicator getIndicator() {
        return indicator;
    }

    @RequestQueryProperty(required = true)
    public void setIndicator(QueryIndicator indicator) {
        this.indicator = indicator;
    }

    public AggregatePeriod getPeriod() {
        return period;
    }

    @RequestQueryProperty()
    public void setPeriod(AggregatePeriod period) {
        this.period = period;
    }
}
